#include <PwmEncoder.h>

const int tx_pin = 13;
const int mode_pin = 12;

uint16_t count = 0;
uint8_t num = random(10, 20);

PwmEncoder Encoder(tx_pin);

String str = "";

void setup() {
  Serial.begin(9600);
  Serial.println("Transmitter");
  Encoder.begin(1200);   // 1200 bit per second
  Encoder.setTxRxModePin(mode_pin);
  Encoder.disableTxMode();
}

void loop() {

  delay(500 * num);
  
  // Alternative way: send a string
  Encoder.enableTxMode();           	// Enable TX
  delay(800);                         	// Load serial buffer
  str = "## ";							
  str += String(count++);
  str += ". Message from Arduino n.1 ;;";
  Encoder.println(str);
  Serial.println(str);
  delay(800);
  Encoder.disableTxMode();           	// Disable TX

  
}
