#include <PwmEncoder.h>

const int tx_pin = 13;
const int en_pin = 11;

PwmEncoder Encoder(tx_pin);

String str;

void setup() {
  Serial.begin(9600);
  Encoder.begin(1200);              // 1200 bit per second
  Encoder.setEnablePin(en_pin);     // Set power up/down pin
  Encoder.powerDown();              // Power down module
}

void loop() {

  // Alternative way: send a string
  if (Serial.available() > 0) {
    Encoder.powerUp();            	// Power up module
    delay(100);                     // Load serial buffer
    str = Serial.readString();      // One second timeOut
    Encoder.print(str);
    Serial.println(str);
    Encoder.powerDown();          	// Power down module
  }

}
