#include <PwmEncoder.h>

const int tx_pin = 13;

PwmEncoder Encoder(tx_pin);

char c;

void setup() {
  Serial.begin(9600);
  Encoder.begin(1200);   	// 1200 bit per second
}

void loop() {
  
  if (Serial.available() > 0) {
    c = Serial.read();
    Encoder.print(c);
    Serial.print(c);
  }
  
  /*
  // Alternative way: send a string
  if (Serial.available() > 0) {
    delay(100);                    // Load serial buffer
    String str;
    str = Serial.readString();     // One second execution time
    Encoder.print(str);
    Serial.println(str);
  }
  */
}
